Package com.sun.mail.util.logging

## Class LogManagerProperties

- java.lang.Object
- - com.sun.mail.util.logging.LogManagerProperties

    public static class LogManagerProperties
    extends Object

An adapter class to allow the Mail API to access the LogManager properties. The LogManager properties are treated as the root of all properties. First, the parent properties are searched. If no value is found, then, the LogManager is searched with prefix value. If not found, then, just the key itself is searched in the LogManager. If a value is found in the LogManager it is then copied to this properties object with no key prefix. If no value is found in the LogManager or the parent properties, then this properties object is searched only by passing the key value.

This class also emulates the LogManager functions for creating new objects from string class names. This is to support initial setup of objects such as log filters, formatters, error managers, etc.

This class should never be exposed outside of this package. Keep this class package private (default access).

Since:
  JavaMail 1.4.3
Author:
  Jason Mehrens
See Also:
  Serialized Form

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`